Bug 11936 - Samba build fails against systemd 230
Samba build fails against systemd 230
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.4.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-25 14:48 UTC by Andreas Schneider
Modified: 2016-07-04 07:25 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.4 (4.55 KB, patch)
2016-05-30 15:20 UTC, Andreas Schneider
ab: review-
Details
patch for 4.3 (4.55 KB, patch)
2016-05-30 15:20 UTC, Andreas Schneider
ab: review-
Details
patch for 4.3 (4.55 KB, patch)
2016-05-30 15:54 UTC, Andreas Schneider
no flags Details
patch for 4.3 (2.87 KB, patch)
2016-05-30 15:56 UTC, Andreas Schneider
ab: review+
Details
patch for 4.4 (2.87 KB, patch)
2016-05-30 15:56 UTC, Andreas Schneider
ab: review+
Details
additional patch for 4.4 (1.77 KB, patch)
2016-06-27 12:58 UTC, Andreas Schneider
ab: review+
Details
additional patch for 4.3 (1.77 KB, patch)
2016-06-27 12:58 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2016-05-25 14:48:41 UTC
We need to add support for systemd 230 which finally deprecated libsystemd-daemon/libsystemd-journal splitted libraries in favor of a single libsystemd library.

Patch will follow.
Comment 1 Andreas Schneider 2016-05-30 15:20:14 UTC
Created attachment 12145 [details]
patch for 4.4
Comment 2 Andreas Schneider 2016-05-30 15:20:33 UTC
Created attachment 12146 [details]
patch for 4.3
Comment 3 Alexander Bokovoy 2016-05-30 15:36:13 UTC
Comment on attachment 12145 [details]
patch for 4.4

looks good.
Comment 4 Alexander Bokovoy 2016-05-30 15:36:49 UTC
Comment on attachment 12146 [details]
patch for 4.3

looks good.
Comment 5 Alexander Bokovoy 2016-05-30 15:38:04 UTC
Comment on attachment 12146 [details]
patch for 4.3

This is wrong patch, actually! Please upload the one for systemd, not printing.
Comment 6 Alexander Bokovoy 2016-05-30 15:38:21 UTC
Comment on attachment 12145 [details]
patch for 4.4

This is wrong patch, actually! Please upload the one for systemd, not printing.
Comment 7 Andreas Schneider 2016-05-30 15:54:54 UTC
Created attachment 12147 [details]
patch for 4.3
Comment 8 Andreas Schneider 2016-05-30 15:56:14 UTC
Created attachment 12148 [details]
patch for 4.3
Comment 9 Andreas Schneider 2016-05-30 15:56:58 UTC
Created attachment 12149 [details]
patch for 4.4
Comment 10 Alexander Bokovoy 2016-05-30 16:09:37 UTC
Comment on attachment 12148 [details]
patch for 4.3

Now it looks good. ;)
Comment 11 Andreas Schneider 2016-05-30 16:15:20 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 12 Karolin Seeger 2016-05-31 06:58:03 UTC
(In reply to Andreas Schneider from comment #11)
Pushed to autobuild-v4-[4|3]-test.
Comment 13 Karolin Seeger 2016-06-01 07:44:10 UTC
(In reply to Karolin Seeger from comment #12)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 14 Andreas Schneider 2016-06-22 09:15:52 UTC
This patch is not complete.
Comment 15 Andreas Schneider 2016-06-27 12:58:21 UTC
Created attachment 12217 [details]
additional patch for 4.4
Comment 16 Andreas Schneider 2016-06-27 12:58:59 UTC
Created attachment 12218 [details]
additional patch for 4.3
Comment 17 Alexander Bokovoy 2016-06-28 02:02:45 UTC
Comment on attachment 12217 [details]
additional patch for 4.4

thanks. Missed the debug.c part earlier.
Comment 18 Alexander Bokovoy 2016-06-28 02:04:08 UTC
Karolin, please push the additional patches to the relevant branches. Thanks!
Comment 19 Karolin Seeger 2016-06-28 11:11:40 UTC
(In reply to Alexander Bokovoy from comment #18)
Pushed additional patches to autobuild-v4-[4|3]-test
Comment 20 Karolin Seeger 2016-07-04 07:25:06 UTC
(In reply to Karolin Seeger from comment #19)
Pushed to both branches.
Closing out bug report.

Thanks!